Bug 1685066 - [marketplace] the CSC according to the operatorsource won’t be updated when the remote registry has changed
Summary: [marketplace] the CSC according to the operatorsource won’t be updated when t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: aravindh
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 10:00 UTC by Fan Jia
Modified: 2019-06-04 10:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Prior to f9d37cc, as part of syncing OperatorSources, the associated CatalogSourceConfigs were being deleted and recreated. This always ensured that we got the latest state from Quay. With that change we moved to updating CatalogSourceConfigs. Now in the scenario where a Quay namespace has changed without app-registry repositories being added or removed but with existing repositories being updated, these updates will not be reflected on the cluster. Consequence: Updates from Quay are not reflected on the cluster Fix: Drop the CatalogSourceConfig status before updating. Result: Updates from Quay are reflected on the cluster
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:44 UTC

Comment 2 Fan Jia 2019-03-06 06:54:47 UTC
the lastest clusterversion marketplace's commit is "aabac93da42773f29c4230bd8b7906facc6c42f9" (doesn't include this pr), will test after this pr is included

Comment 3 Fan Jia 2019-03-11 07:50:33 UTC
test with the upstream image,and the function is ok now,will test when the new nightly payload is ok
marketplaceimage commit:5a98c3c3c3e3482b5507ffef2c73a59f703fc10b

Comment 6 errata-xmlrpc 2019-06-04 10:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.